from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Float, Boolean, Int, File, String

Anvi_Script_Snvs_To_Interactive_V0_1_0 = CommandToolBuilder(tool="anvi_script_snvs_to_interactive", base_command=["anvi-script-snvs-to-interactive"], inputs=[ToolInput(tag="in_min_departure_from_consensus", input_type=Float(optional=True), prefix="--min-departure-from-consensus", doc=InputDocumentation(doc="Minimum departure from consensus at a given variable\nnucleotide position. The default is 0.00.")), ToolInput(tag="in_max_departure_from_consensus", input_type=Float(optional=True), prefix="--max-departure-from-consensus", doc=InputDocumentation(doc="Maximum departure from consensus at a given variable\nnucleotide position. The default is 1.00.")), ToolInput(tag="in_min_departure_from_reference", input_type=Float(optional=True), prefix="--min-departure-from-reference", doc=InputDocumentation(doc="Minimum departure from consensus at a given variable\nnucleotide position. The default is 0.00.")), ToolInput(tag="in_max_departure_from_reference", input_type=Float(optional=True), prefix="--max-departure-from-reference", doc=InputDocumentation(doc="Maximum departure from consensus at a given variable\nnucleotide position. The default is 1.00.")), ToolInput(tag="in_display_dep_from_reference", input_type=Boolean(optional=True), prefix="--display-dep-from-reference", doc=InputDocumentation(doc="By default this program will generate a matrix file\nthat displays departure from consensus values. This\nflag will switch to departure from reference.\n(default: False)")), ToolInput(tag="in_only_in_genes", input_type=Boolean(optional=True), prefix="--only-in-genes", doc=InputDocumentation(doc="With this flag you will ignore SNVs in non-coding\nregions. (default: False)")), ToolInput(tag="in_random", input_type=Int(optional=True), prefix="--random", doc=InputDocumentation(doc="Use this parameter to randomly subset your data. If\nthere are too many SNV positions, this script may take\nforever to finish. You should *never* let it try to\ndeal with more than 25-30K points, but an ideal would\nbe around 4-5 thousand. (default: None)")), ToolInput(tag="in_just_do_it", input_type=Boolean(optional=True), prefix="--just-do-it", doc=InputDocumentation(doc="Don't bother me with questions or warnings, just do\nit. (default: False)")), ToolInput(tag="in_output_dir", input_type=File(optional=True), prefix="--output-dir", doc=InputDocumentation(doc="Directory path for output files (default: None)")), ToolInput(tag="in_profile", input_type=String(), position=2, doc=InputDocumentation(doc="optional arguments:")), ToolInput(tag="in_variability_profile_txt", input_type=String(), position=0, doc=InputDocumentation(doc="🍕 Can provide: ")), ToolInput(tag="in_interactive", input_type=String(), position=1, doc=InputDocumentation(doc="🍺 More on `anvi-script-snvs-to-interactive`:"))], outputs=[ToolOutput(tag="out_output_dir", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_dir", type_hint=File()), doc=OutputDocumentation(doc="Directory path for output files (default: None)"))], container="quay.io/biocontainers/anvio-minimal:7--py_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Anvi_Script_Snvs_To_Interactive_V0_1_0().translate("wdl")

